download-tarballs
changeset 0 b949c5054bc4
child 13 79d90c236555
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/download-tarballs	Fri Mar 31 16:09:50 2006 -0800
@@ -0,0 +1,78 @@
+#!/bin/sh
+#
+###########################################################################
+#
+# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a
+# copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, and/or sell copies of the Software, and to permit persons
+# to whom the Software is furnished to do so, provided that the above
+# copyright notice(s) and this permission notice appear in all copies of
+# the Software and that both the above copyright notice(s) and this
+# permission notice appear in supporting documentation.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+# OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
+# HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
+# INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
+# FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Except as contained in this notice, the name of a copyright holder
+# shall not be used in advertising or otherwise to promote the sale, use
+# or other dealings in this Software without prior written authorization
+# of the copyright holder.
+#
+###########################################################################
+#
+# ident "@(#)download-tarballs	1.1	06/03/29 SMI"
+#
+
+CLOBBER=0
+WGET=/usr/sfw/bin/wget
+MAKE_FLAGS="-k"
+
+set -- `getopt cn $*`
+if [ $? != 0 ]
+then
+    echo USAGE: $0 [-c] [-n]
+    exit 2
+fi
+
+for i in $* ; do 
+    case $i in
+	-c)     CLOBBER=1; shift;;
+	-n)     WGET="echo $WGET"; MAKE_FLAGS="$MAKE_FLAGS -n" ; shift;;
+    esac
+done
+
+set -v
+
+cd open-src
+if [ $CLOBBER = 1 ] ; then
+    rm -rf tarballs
+fi
+if [ ! -d tarballs ] ; then 
+    mkdir tarballs
+fi
+make $MAKE_FLAGS download
+cd ../..
+
+cd XORG_NV/
+if [ $CLOBBER = 1 ] ; then
+    rm -rf tarballs
+fi
+if [ ! -d tarballs ] ; then 
+    mkdir tarballs
+fi
+cd tarballs
+if [ ! -f X11R6.9.0-src.tar.bz2 ] ; then
+    $WGET http://xorg.freedesktop.org/releases/X11R6.9.0/src-single/X11R6.9.0-src.tar.bz2
+fi
+cd ../..